org.rexxla.bsf.engines.rexx

## Class RexxException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.bsf.BSFException
      - - org.rexxla.bsf.engines.rexx.RexxException

- All Implemented Interfaces:
    java.io.Serializable

      public class RexxException
      extends org.apache.bsf.BSFException

  This class allows to create an exception which contains a reference to the Rexx condition object represented as a RexxProxy object, such that Java programs become able to directly interact with the Rexx condition object.

      ------------------------ Apache Version 2.0 license -------------------------
          Copyright (C) 2009 Rony G. Flatscher

          Licensed under the Apache License, Version 2.0 (the "License");
          you may not use this file except in compliance with the License.
          You may obtain a copy of the License at

              http://www.apache.org/licenses/LICENSE-2.0

          Unless required by applicable law or agreed to in writing, software
          distributed under the License is distributed on an "AS IS" BASIS,
          WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
          See the License for the specific language governing permissions and
          limitations under the License.
       -----------------------------------------------------------------------------

  Version:
    1.0.0, 2009-06-08
  Author:
    Rony G. Flatscher (WU Vienna, http://www.wu.ac.at/english)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `version` Version information on this class.

    - ### Fields inherited from class org.apache.bsf.BSFException

      `REASON_EXECUTION_ERROR, REASON_INVALID_ARGUMENT, REASON_IO_ERROR, REASON_OTHER_ERROR, REASON_UNKNOWN_LANGUAGE, REASON_UNSUPPORTED_FEATURE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RexxException(int reason, java.lang.String message, RexxProxy rexxConditionObject)`
    `RexxException(java.lang.String message)` Creates a RexxException with a message.
    `RexxException(java.lang.String message, RexxProxy rexxConditionObject)` Creates a RexxException with a message, and a RexxProxy allowing to access the Rexx condition object for further inspection.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RexxProxy` | `getRexxConditionObject()` Getter method.

    - ### Methods inherited from class org.apache.bsf.BSFException

      `getCause, getReason, getTargetException, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final java.lang.String version

      Version information on this class.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RexxException

          public RexxException(java.lang.String message)

      Creates a RexxException with a message.
      Parameters:
        `message` - error message

    - #### RexxException

          public RexxException(java.lang.String message,
                               RexxProxy rexxConditionObject)

      Creates a RexxException with a message, and a RexxProxy allowing to access the Rexx condition object for further inspection.
      Parameters:
        `message` - error message
        `rexxConditionObject` - RexxProxy object referring to the Rexx condition object

    - #### RexxException

          public RexxException(int reason,
                               java.lang.String message,
                               RexxProxy rexxConditionObject)

      Parameters:
        `reason` - can be one of the constants defined in `BSFException`, values:
      0
        (REASON_INVALID_ARGUMENT),
      10
        (REASON_IO_ERROR),
      20
        (REASON_UNKNOWN_LANGUAGE),
      100
        (REASON_EXECUTION_ERROR),
      499
        (REASON_UNSUPPORTED_FEATURE),
      500
        (REASON_OTHER_ERROR).
        `message` - error message
        `rexxConditionObject` - RexxProxy object referring to the Rexx condition object

  - ### Method Detail

    - #### getRexxConditionObject

          public RexxProxy getRexxConditionObject()

      Getter method.
      Returns:
        a RexxProxy object referring to the Rexx condition object